OpenTTD Source: Data Fields - Functions

OpenTTD Source 12.0-beta1

### - g -

- GamelogFillCrashLog() : CrashLog
- GameLoop() : AI , ClientNetworkGameSocketHandler , Game , ScriptInstance
- GameLoopPause() : VideoDriver
- GenerateFileName() : SaveLoadWindow
- GenerateLists() : ReplaceVehicleWindow
- GenerateReplaceRailList() : ReplaceVehicleWindow
- GenerateReplaceVehList() : ReplaceVehicleWindow
- GenericResolverObject() : GenericResolverObject
- GenericScopeResolver() : GenericScopeResolver
- Get() : AirportSpec , AirportTileSpec , CargoSpec , ClientNetworkContentSocketHandler , FontCache , GroupStatistics , Hash , IConsoleLine , LRUCache< Tkey, Tdata > , NewGRFClass< Tspec, Tid, Tmax > , ObjectSpec , OpenGLBackend , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size > , SmallMatrix< T > , SmallSet< Tdir, items > , SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type > , TileMatrix< T, N >
- GetAcceleration() : GroundVehicle< T, Type >
- GetAccelerationStatus() : RoadVehicle , Train
- GetAccelerationType() : RoadVehicle , Train
- GetActionDropdownSize() : BaseVehicleListWindow
- GetActiveBlitter() : BlitterFactory
- GetActiveDriver() : DriverFactoryBase
- GetAddress() : NetworkAddress
- GetAddressAsString() : NetworkAddress
- GetAddressLength() : NetworkAddress
- GetAdminStatus() : NetworkAdminSocketHandler
- GetAdvanceDistance() : Vehicle
- GetAdvanceSpeed() : Vehicle
- GetAircraftTypeText() : Engine
- GetAirDrag() : RoadVehicle , Train
- GetAirDragArea() : RoadVehicle , Train
- GetAllGroup() : GroupStatistics
- GetAllocatedMemory() : Squirrel
- GetAnimBuffer() : OpenGLBackend , VideoDriver , VideoDriver_CocoaOpenGL , VideoDriver_SDL_OpenGL
- GetAnnotation() : CapacityAnnotation , DistanceAnnotation
- GetAPIName() : Squirrel
- GetAPIVersion() : AIInfo , GameInfo
- GetArea() : TileMatrix< T, N >
- GetAreaForTile() : TileMatrix< T, N >
- GetArraySize() : CargoSpec
- GetAscender() : FontCache
- GetAuthor() : ScriptInfo
- GetAvailablePageContentWidth() : StoryBookWindow
- GetAvailableSets() : BaseMedia< Tbase_set >
- GetAverageDurationMilliseconds() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- GetBestNode() : CYapfBaseT< Types >
- GetBestOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- GetBlitterFactory() : BlitterFactory
- GetBlitters() : BlitterFactory
- GetBlittersInfo() : BlitterFactory
- GetBoundingRect() : QueryString
- GetBounds() : Layouter , VehicleSpriteSeq
- GetBuffer() : ReusableBuffer< T >
- GetBuildCost() : ObjectSpec
- GetButtonArrangement() : NWidgetMainToolbarContainer , NWidgetScenarioToolbarContainer , NWidgetToolbarContainer
- GetButtonAtPoint() : NetworkClientListWindow
- GetByClientID() : NetworkClientInfo , ServerNetworkGameSocketHandler
- GetBytesPerPixel() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- GetByTile() : AirportTileSpec , BaseStation , Industry , Object , ObjectSpec , RoadStop , SpecializedStation< T, Tis_waypoint >
- GetCachedParagraphLayout() : Layouter
- GetCallbackWnd() : TileHighlightData
- GetCapacity() : Path , Scrollbar
- GetCapacityRatio() : Path
- GetCapacityString() : RefitWindow
- GetCaret() : IConsoleWindow , QueryString , Window
- GetCaretPosition() : IConsoleWindow , QueryString , Window
- GetCargo() : CargoDataEntry
- GetCargoBase() : CargoesField
- GetCargoIcon() : CargoSpec
- GetCargoMask() : LinkGraphOverlay
- GetCargoTransportedPercentsIfValid() : IndustryDirectoryWindow
- GetCargoTransportedSortValue() : IndustryDirectoryWindow
- GetCaseIndex() : LanguagePackHeader
- GetCatchmentRadius() : Station
- GetCatchmentRect() : Station
- GetCategoriesWidth() : ExpensesList
- GetCategory() : AILibrary , GameLibrary
- GetCenterTile() : OrthogonalTileArea , WaypointWindow
- GetCharAtPosition() : Layouter , QueryString
- GetCharPosition() : Layouter
- GetClearCost() : ObjectSpec
- GetClientIP() : ServerNetworkGameSocketHandler
- GetClientName() : ServerNetworkGameSocketHandler
- GetColour() : StoryPageButtonData
- GetCompanyMask() : LinkGraphOverlay
- GetCompatDescription() : DefaultSaveLoadHandler< TImpl, TObject > , SaveLoadHandler , SlSkipHandler
- GetConditionComparator() : Order
- GetConditionSkipToOrder() : Order
- GetConditionValue() : Order
- GetConditionVariable() : Order
- GetConfig() : AIConfig , GameConfig
- GetConfigItem() : ScriptInfo
- GetConfigList() : ScriptConfig , ScriptInfo
- GetConsistFreeCapacities() : Vehicle
- GetConsoleLibraryList() : AI , Game
- GetConsoleList() : AI , Game , ScriptScanner
- GetConstructionCost() : IndustrySpec
- GetContainerVersion() : SpriteFile
- GetContent() : ClientNetworkContentSocketHandler
- GetContentHeight() : StoryBookWindow
- GetController() : ScriptInstance
- GetCost() : CommandCost , Engine
- GetCount() : CargoArray , CargoDataEntry , Scrollbar
- GetCurrentBlitter() : BlitterFactory
- GetCurrentMaxSpeed() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- GetCurrentSong() : MusicSystem
- GetCurrentSpeed() : RoadVehicle , Train
- GetCurrentStructName() : DumpTarget
- GetCursor() : StoryPageButtonData
- GetCurveSpeedLimit() : Train
- GetCurveSpeedModifier() : Train
- GetDataLeft() : StringParameters
- GetDataPointer() : StringParameters
- GetDate() : ScriptInfo
- GetDebugID() : AirportResolverObject , AirportTileResolverObject , CanalResolverObject , CargoResolverObject , GenericResolverObject , HouseResolverObject , IndustriesResolverObject , IndustryTileResolverObject , ObjectResolverObject , RailTypeResolverObject , ResolverObject , RoadTypeResolverObject , StationResolverObject , VehicleResolverObject
- GetDefaultCargoType() : Engine
- GetDefaultHeight() : WindowDesc
- GetDefaultWidth() : WindowDesc
- GetDepotActionType() : Order
- GetDepotIndex() : DepotWindow
- GetDepotOrderType() : Order
- GetDescender() : FontCache
- GetDescription() : BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , DefaultSaveLoadHandler< TImpl, TObject > , DriverFactoryBase , GRFConfig , SaveLoadHandler , ScriptInfo , SlCompanyOldAIBuildRec , SlLinkgraphJobProxy , SlSkipHandler
- GetDesiredInfoHeight() : TownViewWindow
- GetDestination() : Order
- GetDirectory() : AIScannerInfo , AIScannerLibrary , GameScannerInfo , GameScannerLibrary , ScriptScanner
- GetDisplay() : NewsTypeData
- GetDisplayDefaultCapacity() : Engine
- GetDisplayImageWidth() : RoadVehicle , Train
- GetDisplayMaxSpeed() : Aircraft , Engine , RoadVehicle , Ship , Train , Vehicle
- GetDisplayMaxTractiveEffort() : Engine
- GetDisplayProfitLastYear() : Vehicle
- GetDisplayProfitThisYear() : Vehicle
- GetDisplayRunningCost() : Vehicle
- GetDisplaySpeed() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- GetDisplayWeight() : Engine
- GetDistance() : Path
- GetDoCommandCallback() : AIInstance , GameInstance , ScriptInstance
- GetDPIScale() : VideoDriver , VideoDriver_Cocoa , VideoDriver_Win32Base
- GetDrawGlyphShadow() : FontCache , SpriteFontCache , TrueTypeFontCache
- GetDrivers() : DriverFactoryBase
- GetDriversInfo() : DriverFactoryBase
- GetDriverTypeName() : DriverFactoryBase
- GetDropDownItem() : DropdownWindow
- GetDummyParameterInfo() : NewGRFParametersWindow
- GetElement() : BinaryHeap
- GetEngine() : ScriptScanner , Vehicle
- GetEntry() : RoadStop
- GetEntryString() : StationViewWindow
- GetErrorMessage() : CommandCost , Script_FatalError
- GetExpensesType() : CommandCost
- GetExpenseType() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- GetExtension() : BaseMedia< Tbase_set >
- GetFeature() : AirportResolverObject , AirportTileResolverObject , CanalResolverObject , CargoResolverObject , GenericResolverObject , HouseResolverObject , IndustriesResolverObject , IndustryTileResolverObject , ObjectResolverObject , RailTypeResolverObject , ResolverObject , RoadTypeResolverObject , StationResolverObject , VehicleResolverObject
- GetFeatureIndex() : NewGRFInspectWindow
- GetFileName() : AIScannerInfo , AIScannerLibrary , GameScannerInfo , GameScannerLibrary
- GetFilename() : RandomAccessFile
- GetFileName() : ScriptScanner
- GetFiltering() : GUIList< T, F >
- GetFirstEnginePart() : SpecializedVehicle< T, Type > , Vehicle
- GetFirstOrder() : OrderList , Vehicle
- GetFirstSharedVehicle() : OrderList
- GetFlow() : FlowStatMap , Path
- GetFlowFrom() : FlowStatMap
- GetFlowFromVia() : FlowStatMap
- GetFlowVia() : FlowStatMap
- GetFocusedText() : IConsoleWindow , Window
- GetFoldingState() : SettingsContainer , SettingsPage
- GetFont() : FallbackParagraphLayout::FallbackVisualRun , Layouter
- GetFontName() : CoreTextFontCache , FontCache , FreeTypeFontCache , SpriteFontCache , Win32FontCache
- GetFontSize() : FontCache , TrueTypeFontCache
- GetFontTable() : FontCache , SpriteFontCache , TrueTypeFontCache
- GetFreeCapacity() : Path
- GetFTA() : Airport
- GetFullscreenBpp() : VideoDriver_Win32Base
- GetGameInstance() : Game
- GetGenderIndex() : LanguagePackHeader
- GetGlobalPointer() : Squirrel
- GetGlyph() : FontCache , SpriteFontCache , TrueTypeFontCache
- GetGlyphCount() : FallbackParagraphLayout::FallbackVisualRun
- GetGlyphs() : FallbackParagraphLayout::FallbackVisualRun
- GetGlyphToCharMap() : FallbackParagraphLayout::FallbackVisualRun
- GetGlyphWidth() : FontCache , SpriteFontCache , TrueTypeFontCache
- GetGRF() : Engine , Vehicle
- GetGRFID() : Engine , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle , OverrideManagerBase , Vehicle
- GetGroundVehicleCache() : Vehicle
- GetGroundVehicleFlags() : Vehicle
- GetGroup() : IniLoadFile
- GetHangarDataByTile() : Airport
- GetHangarExitDirection() : Airport
- GetHangarNum() : Airport
- GetHangarTile() : Airport
- GetHeadHeight() : StoryBookWindow
- GetHeight() : FontCache
- GetHelpText() : SettingEntry
- GetHighlightColour() : NWidgetCore
- GetHorizontalStepSize() : NWidgetBase
- GetHostname() : NetworkAddress
- GetID() : EngineOverrideManager , IndustryOverrideManager , OverrideManagerBase
- GetIfValid() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type >
- GetImage() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- GetIndex() : AirportSpec
- GetIndexOfUsedSet() : BaseMedia< Tbase_set >
- GetIndustryString() : IndustryDirectoryWindow
- GetIndustryTypeCount() : Industry
- GetIndustryTypeData() : IndustryTypeBuildData
- GetInfo() : Game , NetworkGameSocketHandler , ScriptConfig
- GetInfoList() : AI , Game , ScriptScanner
- GetInstance() : Game , MusicDriver , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle , SoundDriver , Squirrel , VideoDriver
- GetInstanceName() : ScriptInfo
- GetInt32() : StringParameters
- GetInt64() : StringParameters
- GetItem() : IniGroup
- GetLanguageMap() : LanguageMap
- GetLast() : NetworkError
- GetLastEnginePart() : SpecializedVehicle< T, Type > , Vehicle
- GetLastOrder() : OrderList , Vehicle
- GetLayout() : NewGRFSpriteLayout
- GetLeading() : CoreTextParagraphLayout::CoreTextLine , FallbackParagraphLayout::FallbackLine , FallbackParagraphLayout::FallbackVisualRun , UniscribeParagraphLayout::UniscribeLine
- GetLegendHeight() : SmallMapWindow
- GetLength() : RoadStop::Entry
- GetLifeLengthInDays() : Engine
- GetListing() : ClientNetworkCoordinatorSocketHandler , GUIList< T, F >
- GetListOfMonitorRefreshRates() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- GetLoadDescription() : SaveLoadHandler
- GetLoadType() : Order
- GetLocation() : Order
- GetLogPointer() : ScriptInstance
- GetMainScript() : ScriptInfo , ScriptScanner
- GetMapping() : LanguageMap
- GetMarkedText() : IConsoleWindow , QueryString , Window
- GetMatrixColumnCount() : BuildObjectWindow
- GetMaxHelpHeight() : SettingEntry , SettingsContainer
- GetMaxSpeed() : Order
- GetMaxTrackSpeed() : RoadVehicle , Train
- GetMinLegendWidth() : SmallMapWindow
- GetMutex() : SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size >
- GetName() : Blitter , Blitter_32bppAnim , Blitter_32bppOptimized , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter_Null , BlitterFactory , Driver , GRFConfig , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_Win32 , ScriptConfig , ScriptInfo , ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler , SettingDesc , SoundDriver_Allegro , SoundDriver_Cocoa , SoundDriver_Null , SoundDriver_SDL , SoundDriver_Win32 , SoundDriver_XAudio2 , VideoDriver_Allegro , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32GDI
- GetNewGRFVariable() : BaseStation , Waypoint
- GetNext() : OrderList
- GetNextArticulatedPart() : SpecializedVehicle< T, Type > , Vehicle
- GetNextDecisionNode() : OrderList
- GetNextRoadStop() : RoadStop
- GetNextStoppingStation() : OrderList , Vehicle
- GetNextUnit() : Train
- GetNextVehicle() : SpecializedVehicle< T, Type > , Vehicle
- GetNode() : Path
- GetNonStopType() : Order
- GetNthSetBit() : TownAuthorityWindow
- GetNumberColumnsLegend() : SmallMapWindow
- GetNumberRowsLegend() : SmallMapWindow
- GetNumCargo() : SlStationGoods , SlTownSupplied
- GetNumChildren() : CargoDataEntry , Path
- GetNumEnts() : GrfProcessingState
- GetNumHangars() : Airport
- GetNumInvalid() : BaseSet< T, Tnum_files, Tsearch_in_tars >
- GetNumItems() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- GetNumLiveries() : SlCompanyLiveries
- GetNumManualOrders() : OrderList , Vehicle
- GetNumMissing() : BaseSet< T, Tnum_files, Tsearch_in_tars >
- GetNumOrders() : OrderList , Vehicle
- GetNumSets() : BaseMedia< Tbase_set >
- GetNumVehicles() : OrderList
- GetOccupied() : RoadStop::Entry
- GetOldAdvanceSpeed() : Vehicle
- GetOpsTillSuspend() : ScriptInstance , Squirrel
- GetOpt() : GetOptData
- GetOptData() : GetOptData
- GetOrder() : Vehicle
- GetOrderAt() : OrderList
- GetOrderFromPt() : OrdersWindow
- GetOrderStationLocation() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- GetOrigin() : Path
- GetOriginalValue() : Backup< T >
- GetOSHandle() : CoreTextFontCache , FontCache , Win32FontCache
- GetOutputFilename() : NewGRFProfiler
- GetOverlayCompanyMask() : SmallMapWindow
- GetPacketType() : Packet
- GetPageElementFloat() : StoryBookWindow
- GetPageElementFloatWidth() : StoryBookWindow
- GetPageElementHeight() : StoryBookWindow
- GetPageElementSprite() : StoryBookWindow
- GetPalette() : NewGRFWindow
- GetParagraphLayout() : CoreTextParagraphLayoutFactory , FallbackParagraphLayoutFactory , UniscribeParagraphLayoutFactory
- GetParam() : GRFFile
- GetParent() : CargoDataEntry , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle , Path
- GetPeerAddress() : NetworkAddress
- GetPeerName() : NetworkAddress
- GetPlatformLength() : BaseStation , Station , Waypoint
- GetPointerToOffset() : StringParameters
- GetPools() : PoolBase
- GetPoolSize() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- GetPort() : NetworkAddress
- GetPos() : RandomAccessFile
- GetPosition() : Scrollbar
- GetPositionInSharedOrderList() : OrderList
- GetPositionOnLegend() : SmallMapWindow
- GetPositions() : FallbackParagraphLayout::FallbackVisualRun
- GetPower() : Engine , RoadVehicle , Train
- GetPoweredPartPower() : RoadVehicle , Train
- GetPrevUnit() : Train
- GetPrevVehicle() : SpecializedVehicle< T, Type > , Vehicle
- GetPSAFirstPosition() : NIHelper , NIHIndustry , NIHTown
- GetPSASize() : NIHelper , NIHIndustry , NIHTown
- GetQueryString() : Window
- GetRailTotal() : CompanyInfrastructure
- GetRailtypeSpriteOffset() : RailtypeInfo
- GetRandom() : Industry , Town
- GetRandomBits() : AirportScopeResolver , AirportTileScopeResolver , CanalScopeResolver , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , RailTypeScopeResolver , RoadTypeScopeResolver , ScopeResolver , StationScopeResolver , VehicleScopeResolver
- GetRange() : Aircraft , Engine
- GetRate() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- GetRealInstance() : Squirrel
- GetRefitCargo() : Order
- GetRefitOption() : RefitWindow
- GetRemainingTriggers() : ResolverObject
- GetRemovalCost() : HouseSpec , IndustrySpec
- GetReseedSum() : ResolverObject
- GetReverseMapping() : LanguageMap
- GetRoadTotal() : CompanyInfrastructure
- GetRoadVehDetailsHeight() : VehicleDetailsWindow
- GetRollingFriction() : RoadVehicle , Train
- GetRotatedTileFromOffset() : Airport
- GetRowFromWidget() : Window
- GetRunningCost() : Aircraft , Engine , RoadVehicle , Ship , Train , Vehicle
- GetScanner() : ScriptInfo
- GetScannerInfo() : AI , Game
- GetScannerLibrary() : AI , Game
- GetScannerName() : AIScannerInfo , AIScannerLibrary , GameScannerInfo , GameScannerLibrary , ScriptScanner
- GetScope() : AirportResolverObject , AirportTileResolverObject , CanalResolverObject , GenericResolverObject , HouseResolverObject , IndustriesResolverObject , IndustryTileResolverObject , ObjectResolverObject , RailTypeResolverObject , ResolverObject , RoadTypeResolverObject , StationResolverObject , TownResolverObject , VehicleResolverObject
- GetScreenDepth() : Blitter , Blitter_32bppBase , Blitter_8bppBase , Blitter_Null
- GetScreenSize() : VideoDriver , VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- GetScriptName() : AIScannerInfo , AIScannerLibrary , GameScannerInfo , GameScannerLibrary , ScriptScanner
- GetScrollbar() : Window
- GetScrolledRowFromWidget() : Scrollbar
- GetScrollOffsets() : NWidgetMatrix
- GetSelPage() : StoryBookWindow
- GetSelPageNum() : StoryBookWindow
- GetSet() : BaseMedia< Tbase_set >
- GetSetsList() : BaseMedia< Tbase_set >
- GetSetting() : AIConfig , AIInstance , GameInstance , ScriptConfig , ScriptInstance
- GetSettingDefaultValue() : ScriptInfo
- GetSettings() : ScriptInfo
- GetSettingTable() : PATSChunkHandler
- GetShare() : FlowStat
- GetShares() : FlowStat
- GetShortName() : ScriptInfo
- GetSimplifiedFilename() : RandomAccessFile
- GetSingleTramBit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- GetSize() : FontCache , Hash , MemoryDumper , OpenGLSprite , ReadBuffer
- GetSlopeResistance() : GroundVehicle< T, Type >
- GetSlopeSteepness() : RoadVehicle , Train
- GetSMFFile() : MidiFile
- GetSockAddress() : NetworkAddress
- GetSpec() : Airport , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle
- GetSpecCount() : NewGRFClass< Tspec, Tid, Tmax >
- GetSpeedLimit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- GetSprite() : GrfProcessingState
- GetSpriteAlignment() : OpenGLBackend , SpriteEncoder
- GetStartNextTime() : AI
- GetState() : StringFilter
- GetStation() : CargoDataEntry
- GetStationGfx() : AirportTileTableIterator
- GetStationMiddle() : LinkGraphOverlay , SmallMapWindow
- GetStations() : StationFinder
- GetStopLocation() : Order
- GetStorage() : ScriptInstance
- GetSubstituteID() : OverrideManagerBase
- GetSuggestedUIZoom() : VideoDriver
- GetSum() : CargoArray
- GetSuspendCallback() : Script_Suspend
- GetSuspendTime() : Script_Suspend
- GetTarFile() : ScriptInfo , ScriptScanner
- GetText() : QueryString
- GetTextBoundingRect() : IConsoleWindow , Window
- GetTextCharacterAtPosition() : IConsoleWindow , Window
- GetTextfile() : BaseSet< T, Tnum_files, Tsearch_in_tars > , ContentInfo , GRFConfig , ScriptConfig
- GetTextRefStack() : CommandCost
- GetTextRefStackGRF() : CommandCost
- GetTextRefStackSize() : CommandCost
- GetTick() : AI
- GetTileArea() : BaseStation , Station , Waypoint
- GetTileColours() : SmallMapWindow
- GetTimetabledTravel() : Order
- GetTimetableDurationIncomplete() : OrderList
- GetTimetabledWait() : Order
- GetTimetableTotalDuration() : OrderList
- GetTopLeft() : EndGameHighScoreBaseWindow
- GetTotalDuration() : OrderList
- GetTotalMaintenanceCost() : CompanyInfrastructureWindow
- GetTown() : IndustriesResolverObject , ObjectResolverObject , StationResolverObject
- GetTownString() : TownDirectoryWindow
- GetTractiveEffort() : RoadVehicle , Train
- GetTramTotal() : CompanyInfrastructure
- GetTransparencyOption() : EffectVehicle
- GetTravelTime() : Order
- GetTriggers() : HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ScopeResolver , StationScopeResolver , VehicleScopeResolver
- GetType() : Order , SettingDesc
- GetTypeAtOffset() : StringParameters
- GetTypeCount() : Object
- GetUISpecCount() : NewGRFClass< Tspec, Tid, Tmax >
- GetUnicodeGlyph() : FontCache , SpriteFontCache , TrueTypeFontCache
- GetUniqueInfoList() : AI , Game , ScriptScanner
- GetUnitsPerEM() : FontCache
- GetUnloadType() : Order
- GetUnrestricted() : FlowStat
- GetURL() : GRFConfig , ScriptInfo
- GetUsedSet() : BaseMedia< Tbase_set >
- GetValue() : GRFParameterInfo , PersistentStorageArray< TYPE, SIZE > , TemporaryStorageArray< TYPE, SIZE >
- GetValuesInterval() : BaseGraphWindow
- GetVariable() : AirportScopeResolver , AirportTileScopeResolver , CanalScopeResolver , GenericScopeResolver , HouseScopeResolver , IndustriesScopeResolver , IndustryTileScopeResolver , ObjectScopeResolver , RailTypeScopeResolver , RoadTypeScopeResolver , ScopeResolver , StationScopeResolver , TownScopeResolver , VehicleScopeResolver
- GetVehicleTrackdir() : RoadVehicle , Ship , Train , Vehicle
- GetVehicleType() : StoryPageButtonData
- GetVersion() : ScriptConfig , ScriptInfo
- GetVerticalStepSize() : NWidgetBase
- GetVia() : FlowStat , GoodsEntry
- GetViaWithRestricted() : FlowStat
- GetVideoBuffer() : OpenGLBackend
- GetVideoPointer() : VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_CocoaQuartz , VideoDriver_SDL_Base , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32Base , VideoDriver_Win32GDI
- GetVisualRun() : FallbackParagraphLayout::FallbackLine
- GetVM() : Squirrel
- GetWaitTime() : Order
- GetWeight() : RoadVehicle , Train
- GetWidget() : Window
- GetWidgetDpi() : LinkGraphOverlay
- GetWidgetFromPos() : NWidgetBackground , NWidgetBase , NWidgetCore , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetPIPContainer , NWidgetServerListHeader , NWidgetSmallmapDisplay , NWidgetSpacer , NWidgetStacked , NWidgetToolbarContainer
- GetWidgetOfType() : NWidgetBackground , NWidgetBase , NWidgetContainer
- GetWidth() : CoreTextParagraphLayout::CoreTextLine , FallbackParagraphLayout::FallbackLine , UniscribeParagraphLayout::UniscribeLine
- GetWithoutOverride() : AirportSpec
- GetYLabelWidth() : BaseGraphWindow
- Goal() : Goal
- Graph() : LinkGraphJob
- GraphEdgeIterator() : GraphEdgeIterator
- GRFConfig() : GRFConfig
- GRFError() : GRFError
- GRFFile() : GRFFile
- GRFFileProps() : GRFFileProps
- GRFParameterInfo() : GRFParameterInfo
- GroundVehicle() : GroundVehicle< T, Type >